import { useState } from "react";
import { ConfirmationDialogContext } from "../../contexts/ConfirmationDialogContext";

export const ConfirmationDialogProvider = ({
	children,
}: {
	children: React.ReactNode;
}) => {
	const [isConfirmationDialogVisible, setIsConfirmationDialogVisible] =
		useState(false);
	const [customModalBoxStyles, setCustomModalBoxStyles] = useState("");
	const [customModalStyles, setCustomModalStyles] = useState("");

	const showDialog = () => {
		setIsConfirmationDialogVisible(true);
	};

	const hideDialog = () => {
		setIsConfirmationDialogVisible(false);
	};

	const handleConfirm = () => {
		// Logic for when the user confirms
		// You can call external functions or dispatch actions here
		hideDialog();
	};

	const handleCancel = () => {
		// Logic for when the user cancels
		hideDialog();
	};

	return (
		<ConfirmationDialogContext.Provider
			value={{
				isConfirmationDialogVisible,
				showDialog,
				hideDialog,
				handleConfirm,
				handleCancel,
				customModalBoxStyles,
				customModalStyles,
				setCustomModalBoxStyles,
				setCustomModalStyles,
			}}
		>
			{children}
		</ConfirmationDialogContext.Provider>
	);
};

export default ConfirmationDialogProvider;
