interface CardProps {
	title: string;
	description: string;
	bgImage?: string;
	link: string;
}

export function Card({ title, description, bgImage, link }: CardProps) {
	return (
		<div className="card min-w-[230px] bg-neutral text-neutral-content">
			{!!bgImage && (
				<figure>
					<img src={bgImage} alt={title + "_bgImage"} />
				</figure>
			)}
			<div className="card-body items-center text-center">
				<h2 className="card-title">{title}</h2>
				<p>{description}</p>
				<div className="card-actions justify-end">
					<button className="btn btn-primary">
						<a href={link}>Link</a>
					</button>
				</div>
			</div>
		</div>
	);
}
